Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface WLDFArchiveRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, WebLogicMBean

All Known Subinterfaces:
  WLDFDbstoreArchiveRuntimeMBean, WLDFFileArchiveRuntimeMBean, WLDFWlstoreArchiveRuntimeMBean

public interface WLDFArchiveRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Use this interface to collect statistical information about the data archives maintained by WLDF. Information provided by this interface is common to all WLDF data archives.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getRecordRetrievalTime()` The time, in milliseconds, spent retrieving records from the archive since the server was started.
`long` | `getRecordSeekCount()` The number of seek operations performed on the archive since the server was started.
`long` | `getRecordSeekTime()` The time, in milliseconds, spent locating the first record during a query operation since the server was started.
`long` | `getRetrievedRecordCount()` The number of records retrieved from the archive since the server was started.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getRecordRetrievalTime

    public long getRecordRetrievalTime()

  The time, in milliseconds, spent retrieving records from the archive since the server was started.

  Returns:
    Cumulative time spent for fetching records

### getRecordSeekCount

    public long getRecordSeekCount()

  The number of seek operations performed on the archive since the server was started.

  Returns:
    Cumulative number of seek operations

### getRecordSeekTime

    public long getRecordSeekTime()

  The time, in milliseconds, spent locating the first record during a query operation since the server was started.

  Returns:
    Cumulative time spent locating the first record

### getRetrievedRecordCount

    public long getRetrievedRecordCount()

  The number of records retrieved from the archive since the server was started.

  Returns:
    Cumulative number of records retrieved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD